org.apache.maven.scm.provider.cvslib.cvsjava

## Class CvsJavaScmProvider

- java.lang.Object
- - org.apache.maven.scm.provider.AbstractScmProvider
  - - org.apache.maven.scm.provider.cvslib.AbstractCvsScmProvider
    - - org.apache.maven.scm.provider.cvslib.cvsjava.CvsJavaScmProvider

- All Implemented Interfaces:
    ScmProvider

      public class CvsJavaScmProvider
      extends AbstractCvsScmProvider

  Version:
    $Id: CvsJavaScmProvider.java 685548 2008-08-13 13:35:49Z vsiveton $
  Author:
    Emmanuel Venisse

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.maven.scm.provider.cvslib.AbstractCvsScmProvider

      `AbstractCvsScmProvider.ScmUrlParserResult`

  - ### Field Summary

    - ### Fields inherited from class org.apache.maven.scm.provider.cvslib.AbstractCvsScmProvider

      `TRANSPORT_EXT, TRANSPORT_LOCAL, TRANSPORT_LSERVER, TRANSPORT_PSERVER, TRANSPORT_SSPI`

    - ### Fields inherited from interface org.apache.maven.scm.provider.ScmProvider

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CvsJavaScmProvider()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Command` | `getAddCommand()`
    `protected Command` | `getBranchCommand()`
    `protected Command` | `getChangeLogCommand()`
    `protected Command` | `getCheckInCommand()`
    `protected Command` | `getCheckOutCommand()`
    `protected Command` | `getDiffCommand()`
    `protected Command` | `getExportCommand()`
    `protected Command` | `getListCommand()`
    `protected Command` | `getLoginCommand()`
    `protected Command` | `getRemoveCommand()`
    `protected Command` | `getStatusCommand()`
    `protected Command` | `getTagCommand()`
    `protected Command` | `getUpdateCommand()`

    - ### Methods inherited from class org.apache.maven.scm.provider.cvslib.AbstractCvsScmProvider

      `add, branch, changelog, checkin, checkout, diff, export, getRelativePath, getScmSpecificFilename, getScmType, list, login, makeProviderScmRepository, makeProviderScmRepository, parseScmUrl, remove, sanitizeTagName, status, tag, tag, update, validateScmUrl, validateTagName`

    - ### Methods inherited from class org.apache.maven.scm.provider.AbstractScmProvider

      `add, add, addListener, branch, branch, branch, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, checkIn, checkIn, checkIn, checkOut, checkOut, checkOut, checkOut, checkOut, checkOut, diff, diff, edit, edit, export, export, export, export, export, getLogger, list, list, remove, requiresEditMode, status, tag, tag, tag, unedit, unedit, update, update, update, update, update, update, update, update, update, update, update, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CvsJavaScmProvider

          public CvsJavaScmProvider()

  - ### Method Detail

    - #### getAddCommand

          protected Command getAddCommand()

      Specified by:
        `getAddCommand` in class `AbstractCvsScmProvider`

    - #### getBranchCommand

          protected Command getBranchCommand()

      Specified by:
        `getBranchCommand` in class `AbstractCvsScmProvider`

    - #### getChangeLogCommand

          protected Command getChangeLogCommand()

      Specified by:
        `getChangeLogCommand` in class `AbstractCvsScmProvider`

    - #### getCheckInCommand

          protected Command getCheckInCommand()

      Specified by:
        `getCheckInCommand` in class `AbstractCvsScmProvider`

    - #### getCheckOutCommand

          protected Command getCheckOutCommand()

      Specified by:
        `getCheckOutCommand` in class `AbstractCvsScmProvider`

    - #### getDiffCommand

          protected Command getDiffCommand()

      Specified by:
        `getDiffCommand` in class `AbstractCvsScmProvider`

    - #### getExportCommand

          protected Command getExportCommand()

      Specified by:
        `getExportCommand` in class `AbstractCvsScmProvider`

    - #### getListCommand

          protected Command getListCommand()

      Specified by:
        `getListCommand` in class `AbstractCvsScmProvider`

    - #### getLoginCommand

          protected Command getLoginCommand()

      Specified by:
        `getLoginCommand` in class `AbstractCvsScmProvider`

    - #### getRemoveCommand

          protected Command getRemoveCommand()

      Specified by:
        `getRemoveCommand` in class `AbstractCvsScmProvider`

    - #### getStatusCommand

          protected Command getStatusCommand()

      Specified by:
        `getStatusCommand` in class `AbstractCvsScmProvider`

    - #### getTagCommand

          protected Command getTagCommand()

      Specified by:
        `getTagCommand` in class `AbstractCvsScmProvider`

    - #### getUpdateCommand

          protected Command getUpdateCommand()

      Specified by:
        `getUpdateCommand` in class `AbstractCvsScmProvider`

Copyright © 2003–2015. All rights reserved.